package com.kfzs.duanduan.data.graph.provider.current;

import com.kfzs.duanduan.data.graph.provider.player.User;

import org.greenrobot.greendao.annotation.Entity;
import org.greenrobot.greendao.annotation.Id;
import org.greenrobot.greendao.annotation.NotNull;
import org.greenrobot.greendao.annotation.Property;
import org.greenrobot.greendao.annotation.Unique;
import org.greenrobot.greendao.annotation.Generated;

/**
 * 当前user
 *
 * @author kemllor
 * @date 2017/6/15   11:39
 **/
@Entity
public class Current extends User {
    @Id
    private Long mId;

    @NotNull
    @Unique
    @Property(nameInDb = "user_id")
    private String mUserId;

    @Property(nameInDb = "user_name")
    private String mUserName;

    @Property(nameInDb = "update_time")
    private String mUpdateTime;

    @Property(nameInDb = "mobile")
    private String mMobile;

    @Property(nameInDb = "nick_name")
    private String mNickName;

    @Property(nameInDb = "user_icon")
    private String mUserIcon;

    @Property(nameInDb = "avatar")
    private String mAvatar;

    @Property(nameInDb = "open_id")
    private String mOpenId;

    @Property(nameInDb = "e_mail")
    private String mEmail;

    @Property(nameInDb = "token")
    private String mToken;

    @Property(nameInDb = "user_card")
    private String mUserCard;

    @Property(nameInDb = "is_bind")
    private Integer mIsBind;

    @Property(nameInDb = "is_cer")
    private Integer mIsCertification;

    @Property(nameInDb = "vip_type")
    private Integer mVipType;

    public Integer getMIsCertification() {
        return this.mIsCertification;
    }

    public void setMIsCertification(Integer mIsCertification) {
        this.mIsCertification = mIsCertification;
    }

    public Integer getMIsBind() {
        return this.mIsBind;
    }

    public void setMIsBind(Integer mIsBind) {
        this.mIsBind = mIsBind;
    }

    public String getMUserCard() {
        return this.mUserCard;
    }

    public void setMUserCard(String mUserCard) {
        this.mUserCard = mUserCard;
    }

    public String getMToken() {
        return this.mToken;
    }

    public void setMToken(String mToken) {
        this.mToken = mToken;
    }

    public String getMEmail() {
        return this.mEmail;
    }

    public void setMEmail(String mEmail) {
        this.mEmail = mEmail;
    }

    public String getMOpenId() {
        return this.mOpenId;
    }

    public void setMOpenId(String mOpenId) {
        this.mOpenId = mOpenId;
    }

    public String getMAvatar() {
        return this.mAvatar;
    }

    public void setMAvatar(String mAvatar) {
        this.mAvatar = mAvatar;
    }

    public String getMUserIcon() {
        return this.mUserIcon;
    }

    public void setMUserIcon(String mUserIcon) {
        this.mUserIcon = mUserIcon;
    }

    public Integer getMVipType() {
        return this.mVipType;
    }

    public void setMVipType(Integer mVipType) {
        this.mVipType = mVipType;
    }

    public String getMNickName() {
        return this.mNickName;
    }

    public void setMNickName(String mNickName) {
        this.mNickName = mNickName;
    }

    public String getMMobile() {
        return this.mMobile;
    }

    public void setMMobile(String mMobile) {
        this.mMobile = mMobile;
    }

    public String getMUpdateTime() {
        return this.mUpdateTime;
    }

    public void setMUpdateTime(String mUpdateTime) {
        this.mUpdateTime = mUpdateTime;
    }

    public String getMUserName() {
        return this.mUserName;
    }

    public void setMUserName(String mUserName) {
        this.mUserName = mUserName;
    }

    public String getMUserId() {
        return this.mUserId;
    }

    public void setMUserId(String mUserId) {
        this.mUserId = mUserId;
    }

    public Long getMId() {
        return this.mId;
    }

    public void setMId(Long mId) {
        this.mId = mId;
    }

    @Generated(hash = 35757209)
    public Current(Long mId, @NotNull String mUserId, String mUserName, String mUpdateTime,
            String mMobile, String mNickName, String mUserIcon, String mAvatar, String mOpenId,
            String mEmail, String mToken, String mUserCard, Integer mIsBind, Integer mIsCertification,
            Integer mVipType) {
        this.mId = mId;
        this.mUserId = mUserId;
        this.mUserName = mUserName;
        this.mUpdateTime = mUpdateTime;
        this.mMobile = mMobile;
        this.mNickName = mNickName;
        this.mUserIcon = mUserIcon;
        this.mAvatar = mAvatar;
        this.mOpenId = mOpenId;
        this.mEmail = mEmail;
        this.mToken = mToken;
        this.mUserCard = mUserCard;
        this.mIsBind = mIsBind;
        this.mIsCertification = mIsCertification;
        this.mVipType = mVipType;
    }

    @Generated(hash = 992180161)
    public Current() {
    }

    public Current(User user) {
        this.mId = user.getMId();
        this.mUserId = user.getMUserId();
        this.mUserName = user.getMUserName();
        this.mUpdateTime = user.getMUpdateTime();
        this.mMobile = user.getMMobile();
        this.mNickName = user.getMNickName();
        this.mUserIcon = user.getMUserIcon();
        this.mAvatar = user.getMAvatar();
        this.mOpenId = user.getMOpenId();
        this.mEmail = user.getMEmail();
        this.mToken = user.getMToken();
        this.mUserCard = user.getMUserCard();
        this.mIsBind = user.getMIsBind();
        this.mIsCertification = user.getMIsCertification();
        this.mVipType = user.getMVipType();

    }

}
